Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.swing.view
Class mxInteractiveCanvas

    java.lang.Object
      com.mxgraph.canvas.mxBasicCanvas
          com.mxgraph.canvas.mxGraphics2DCanvas
              com.mxgraph.swing.view.mxInteractiveCanvas

All Implemented Interfaces:
  mxICanvas

    public class mxInteractiveCanvas

extends mxGraphics2DCanvas

Field Summary

Fields inherited from class com.mxgraph.canvas.mxGraphics2DCanvas
`g, imageCache, rendererPane, replaceHtmlLinefeeds, shapes, TEXT_SHAPE_DEFAULT, TEXT_SHAPE_HTML, textShapes`

Fields inherited from class com.mxgraph.canvas.mxBasicCanvas
`DEFAULT_IMAGEBASEPATH, drawLabels, imageBasePath, scale, translate`

Constructor Summary
`mxInteractiveCanvas()`

Method Summary
`boolean` | `contains(mxGraphComponent graphComponent, Rectangle rect, mxCellState state)`
`boolean` | `hitSwimlaneContent(mxGraphComponent graphComponent, mxCellState swimlane, int x, int y)` Returns true if the given point is inside the content area of the given swimlane.
`boolean` | `intersects(mxGraphComponent graphComponent, Rectangle rect, mxCellState state)`

Methods inherited from class com.mxgraph.canvas.mxGraphics2DCanvas
`createFillPaint, createStroke, createTemporaryGraphics, drawCell, drawImage, drawLabel, fillShape, fillShape, flushImageCache, getGraphics, getRendererPane, getShape, getTextShape, isReplaceHtmlLinefeeds, loadImage, paintPolyline, paintRectangle, putShape, putTextShape, setGraphics, setReplaceHtmlLinefeeds`

Methods inherited from class com.mxgraph.canvas.mxBasicCanvas
`getImageBasePath, getImageForStyle, getScale, getTranslate, isDrawLabels, setDrawLabels, setImageBasePath, setScale, setTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxInteractiveCanvas

    public mxInteractiveCanvas()

Method Detail

### contains

    public boolean contains(mxGraphComponent graphComponent,
                            Rectangle rect,
                            mxCellState state)

### intersects

    public boolean intersects(mxGraphComponent graphComponent,
                              Rectangle rect,
                              mxCellState state)

### hitSwimlaneContent

    public boolean hitSwimlaneContent(mxGraphComponent graphComponent,
                                      mxCellState swimlane,
                                      int x,
                                      int y)

  Returns true if the given point is inside the content area of the given swimlane. (The content area of swimlanes is transparent to events.) This implementation does not check if the given state is a swimlane, it is assumed that the caller has checked this before using this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.